Skip to main content
`Ctrl`+`K`

# TSSSPGetType

get the `TSSSP` time integration scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSSPGetType(TS ts, TSSSPType *type)

Logically Collective

## Input Parameter

- ts - time stepping object

## Output Parameter

- type - type of scheme being used

## See Also

TS: Scalable ODE and DAE Solvers, `TSSSP`, `TSSSPSetType()`, `TSSSPSetNumStages()`, `TSSSPRKS2`, `TSSSPRKS3`, `TSSSPRK104`

## Level

beginner

## Location

src/ts/impls/explicit/ssp/ssp.c

## Implementations

TSSSPGetType_SSP() in src/ts/impls/explicit/ssp/ssp.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages